SDL_GetWindowOpacity(3)

NAME
SDL_GetWindowOpacity - Get the opacity of a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

float SDL_GetWindowOpacity(SDL_Window *window);

DESCRIPTION
If transparency isn't supported on this platform, opacity will be returned as 1.0f without error.

FUNCTION PARAMETERS

window
    the window to get the current opacity value from.

RETURN VALUE
Returns the opacity, (0.0f - transparent, 1.0f - opaque), or -1.0f on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetWindowOpacity(3)